View Issue Details

IDProjectCategoryView StatusLast Update
0016383mantisbtwikipublic2020-06-27 01:48
Reporterthu.doan Assigned Todregad  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionduplicate 
Summary0016383: [Dokuwiki - Mantis Integrating] Missing toolbar of dokuwiki's pages
Description

Hi there,

I installed dokuwiki and integrated dokuwiki into Mantis system successfully follow this link:

http://www.mantisbt.org/wiki/doku.php/mantisbt:issue:7075:integration_with_dokuwiki

In the local.php file in dokuwiki_ROOT/conf/ folder, I added these lines:

require_once( MANTIS_ROOT . 'core.php' );
$conf['authtype'] = 'authmantis';

Those lines for user authentication between Mantis and dokuwiki. If I comment them, the toolbar appears else the toolbar disappears.

I did try to config $['compress'] = 0. I did try to force refresh browser.

If anyone has any idea. Please help me to solve it.

Thanks a lot!

TagsNo tags attached.

Relationships

duplicate of 0023635 closeddregad Dokuwiki integration gives all kind of CSP errors after upgrade 1.2.20 -> 2.x 
related to 0023984 confirmed Fix MantisBT CSP settings interfering with DokuWiki 

Activities

dregad

dregad

2020-06-15 06:44

developer   ~0064100

You did not provide much details, like Mantis and Dokuwiki versions, but if you're on 1.3.x or later, the problem might be caused by Content Security Policy. Please check for errors in the browser's console log. If you see messages like

Content Security Policy: The page’s settings blocked the loading of a resource at self (“script-src”). Source: (function(H){H.className=H.className.rep....
Content Security Policy: The page’s settings blocked the loading of a resource at data:image/png;base64,iVBORw0KGgoAAAANSU... (“img-src”).

Then you may want to try installing the CSPHeader plugin plugin. Please see 0023635:0058657 for configuration details.

0023635 seems to be the same issue, so I'm resolving this one as duplicate.

Issue History

Date Modified Username Field Change
2013-09-18 00:26 thu.doan New Issue
2013-09-18 00:26 thu.doan Status new => assigned
2013-09-18 00:26 thu.doan Assigned To => vboctor
2014-04-12 22:50 vboctor Assigned To vboctor =>
2014-04-12 22:50 vboctor Status assigned => new
2020-06-15 06:44 dregad Assigned To => dregad
2020-06-15 06:44 dregad Status new => resolved
2020-06-15 06:44 dregad Resolution open => duplicate
2020-06-15 06:44 dregad Note Added: 0064100
2020-06-15 06:44 dregad Relationship added duplicate of 0023635
2020-06-15 06:45 dregad Relationship added related to 0023984
2020-06-27 01:48 atrol Status resolved => closed